#include "StdAfx.h"
#include "MessageBoxManager.h"

CMessageBoxManager::CMessageBoxManager(void)
{
}

CMessageBoxManager::~CMessageBoxManager(void)
{
}

void CMessageBoxManager::SetReadOnly( BOOL bStatus, CObject* pObject )
{
//#pragma TODO(Why add this the base SetReadOnly will not call again)
    ASSERT(FALSE);
	//CSMSSendDlg* pDialog = (CSMSSendDlg*) pObject;
}

void CMessageBoxManager::CreateMessageBox( CWnd *pParent, LPCTSTR pszText, LPCTSTR pszCaption /*= _T("Ntalk biz")*/, UINT nType /*= MB_OK*/, BOOL bShowCheck /*= FALSE*/, LPCTSTR pszCheckMsg /*= _T("")*/, LPCTSTR pszCheckID /*= _T("")*/, BOOL bForeceTopWindow /*= FALSE*/ )
{
	CDuiMessageBox dlg(pParent);
	//pMessageBox->Create(pParent, pszText, pszCaption, nType , bShowCheck , pszCheckMsg , pszCheckID, bForeceTopWindow);
	dlg.Init(pszText, pszCaption, nType, bShowCheck, pszCheckMsg, pszCheckID, bForeceTopWindow);
	dlg.ShowModal();
	//pMessageBox->ShowWindow(SW_SHOW);

	//m_listDialog.AddTail((CObject*)pMessageBox);
}

void CMessageBoxManager::Create( LPCTSTR pszText, LPCTSTR pszCaption, UINT uType, BOOL bShowCheck /*= FALSE*/, LPCTSTR pszCheckMsg /*= _T("")*/, LPCTSTR pszCheckID /*= _T("")*/, BOOL bForceWindowTop /*= FALSE*/ )
{

}

int CMessageBoxManager::RemoveAll()
{
	CSingleLock removeLock(&m_csDialogRemove);
	removeLock.Lock();

	for (POSITION pos = m_listDialog.GetHeadPosition(); pos != NULL;)
	{
		CDialog *pDlg = (CDialog*)m_listDialog.GetNext(pos);
		if (pDlg != NULL)
		{
			if (pDlg->GetSafeHwnd())
				pDlg->DestroyWindow();

			delete pDlg;
			pDlg = NULL;
		}
	}

	m_listDialog.RemoveAll();

	removeLock.Unlock();
	return 0;
}
